/**
 * 校验表单参数配置
 * 使用场景：  验证客户端请求参数
 *     限制：  1.使用端不同不能共用一份配置
 *             2.需要搭配 util/verificationParam -> eccFormParam() 方法使用
 *     说明:   notMustHave = true 时说明该字段是非必填的;不配该字段说明是必填的
 */


/**
 * 使用端: 小程序端_党员入口
 *   场景: 创建组织生活活动表单
 *   备注: 全部非必填
 */
export const CreateActivityConfig = {
    partyActivityType:{type:"Number", notMustHave:true},//党建活动类型
    activityStartTime:{type:"Number", notMustHave:true},//活动开始时间
    activityEndTime:{type:"Number", notMustHave:true},//活动结束时间
    activityAdd:{type:"String", notMustHave:true},//活动地点
    activityHost:{type:"[String]", notMustHave:true},//活动主持人
    activityNoteTaker:{type:"[String]", notMustHave:true},//活动记录人
    leavePartyMember:{type:"[String]", notMustHave:true},//请假党员
    participatingPartyMember:{type:"[String]", notMustHave:true},//参与党员
    participationRecord:{type:"String", notMustHave:true},//活动记录
    branchName:{type:"[Number]", notMustHave:true}, //支部名称
};


/**
 * 使用端: 小程序端_党员入口
 *   场景: 修改组织生活活动表单
 *   备注: 全部非必填
 */
export const UpdateActivityFormConfig = {
    partyActivityType:{type:"Number", notMustHave:true},//党建活动类型
    activityStartTime:{type:"Number", notMustHave:true},//活动开始时间
    activityEndTime:{type:"Number", notMustHave:true},//活动结束时间
    activityAdd:{type:"String", notMustHave:true},//活动地点
    activityHost:{type:"[String]", notMustHave:true},//活动主持人
    activityNoteTaker:{type:"[String]", notMustHave:true},//活动记录人
    leavePartyMember:{type:"[String]", notMustHave:true},//请假党员
    participatingPartyMember:{type:"[String]", notMustHave:true},//参与党员
    participationRecord:{type:"String", notMustHave:true},//活动记录
}



/**
 * 使用端: 小程序端_党员入口
 *   场景: 创建正式党员录入表单
 *   备注: 
 */
 export const CreatePartyMemberFormConfig = {
    name:{type:"String"},//姓名
    sex:{type:"Number"},//性别
    // enterType:{type:"Number"},//名册录入类型
    birthDate:{type:"Number"},//出生年月
    phone:{type:"String"},//手机号码
    levelOfEducation:{type:"Number"},//文化程度
    partyJoiningTime:{type:"Number"},//入党时间
    administrativePosition:{type:"Number", notMustHave:true},//行政职务
    remarks:{type:"String", notMustHave:true},//备注
    partyPositions:{type:"[Number]"},//党内职务
    department:{type:"[Number]", notMustHave:true},//所属科室 2.0
    askForTime: {type:"Number", notMustHave:true}, //申请入党时间
    listedAsActivistsTime:{type:"Number", notMustHave:true},//列为积极份子时间
    talkTime:{type:"Number", notMustHave:true},//谈话时间
    loginId:{type:"String", notMustHave:true},//登录账号
    pwd:{type:"String", notMustHave:true},//密码
}


/**
 *  使用端: 小程序端_党员入口
 *   场景: 创建党建资讯录入表单
 *   备注: 全部非必填
 */
export const createPartyInformation = {
    informationType: {type:"Number", notMustHave:true}, //党建资讯类型
    title: {type:"String", notMustHave:true}, //资讯标题
    branchName: {type:"[Number]", notMustHave:true}, //支部名称
    informationTime: {type:"Number", notMustHave:true}, //资讯时间
    detailedInformation: {type:"String", notMustHave:true}, //资讯详细
    img: {type:"String", notMustHave:true} //图片
}


/**
 * 使用端: 小程序端_党建先锋
 *   场景: 新增荣誉 支部先锋表单
 *   备注: 全部非必填
 */
 export const CreateBranchPioneerConfig = {
    honorLevel: {type:"Number", notMustHave:true}, //荣誉级别
    honorName: {type:"String", notMustHave:true}, //荣誉名称
    grantingUnit: {type:"String", notMustHave:true}, //授予单位
    awardTime: {type:"Number", notMustHave:true}, //获奖时间
    honorsIntroduction: {type:"String", notMustHave:true}, //荣誉简介
};


/**
 * 使用端: 小程序端_党建先锋
 *   场景: 新增荣誉 模范党员表单
 *   备注: 全部非必填
 */
 export const CreateModelPartyConfig = {
    modelType: {type:"Number", notMustHave:true}, //模范类型
    grantParty: {type:"[String]", notMustHave:true}, //授予党员
    grantTime: {type:"Number", notMustHave:true}, //授予时间
    grantReason: {type:"String", notMustHave:true}, //授予原因
};


/**
 * 使用端: 小程序端_党建先锋
 *   场景: 添加制度 支部制度表单
 *   备注: 全部非必填
 */
export const CreateBranchSystemConfig = {
    systemTitle: {type:"String", notMustHave:true}, //制度标题
    periodOfValidity: {type:"Number", notMustHave:true}, //制度有效期
    releaseTime: {type:"Number", notMustHave:true}, //发布时间
    systemContent: {type:"String", notMustHave:true}, //制度内容
    branchName: {type:"[Number]", notMustHave:true}, //支部名称
}


/**
 * 使用端: 小程序端_党建先锋
 *   场景: 修改荣誉制度 支部先锋表单
 *   备注: 全部非必填
 */
export const UpdataBranchPioneerConfig = {
    honorLevel: {type:"Number", notMustHave:true}, //荣誉级别
    honorName: {type:"String", notMustHave:true}, //荣誉名称
    grantingUnit: {type:"String", notMustHave:true}, //授予单位
    awardTime: {type:"Number", notMustHave:true}, //获奖时间
    honorsIntroduction: {type:"String", notMustHave:true}, //荣誉简介
}


/**
 * 使用端: 小程序端_党建先锋
 *   场景: 修改荣誉制度 模范党员表单
 *   备注: 全部非必填
 */
 export const UpdataModelPartyConfig = {
    modelType: {type:"Number", notMustHave:true}, //模范类型
    grantParty: {type:"[String]", notMustHave:true}, //授予党员
    grantTime: {type:"Number", notMustHave:true}, //授予时间
    grantReason: {type:"String", notMustHave:true}, //授予原因
}


